#version 330 core

uniform sampler2D u_texture;
uniform vec4 u_color;

in vec2 texcoord;

out vec4 color;
 
void main(void) {
    float gray = texture(u_texture, texcoord).r;

    if(gray == 0) {
        discard;
    } else {
        color = vec4(1, 1, 1, gray) * u_color;
    }
}