#version 330 core

uniform mat4 u_model;
uniform mat4 u_projection;

in vec4 coord;
out vec2 texcoord;
 
void main(void) {
  gl_Position = u_projection * u_model * vec4(coord.xy, 0, 1);
  texcoord = coord.zw;
}